%
% Here is an example script to be used to test subscription,
% i.e. see if there are strange errors coming out by subscribing "strange"
% lists of devices. (e.g. coming from different crates)
%
% It is meant to be used for debug.
% 

% create object
a = matlabJapcMonitor('SCT.USER.SETUP',... %PULL.1200@SCT.USER.SETUP %SCT.USER.SETUP
    handler.observablesParameters,...
    '','comment');
a.verbose = true;
%%
% create object
a = matlabJapcMonitor('SCT.USER.SETUP',... %PULL.1200@SCT.USER.SETUP %SCT.USER.SETUP
    {...
    'CK.STPKI02A/Samples#samples',...
    'CK.STPKI03A/Samples#samples',...
    'CK.STPKI05A/Samples#samples',...
    'CK.STPKI06A/Samples#samples',...
    'CK.STPKI07A/Samples#samples',...
    'CK.STPKI02P/Samples#samples',...
    'CK.STPKI03P/Samples#samples',...
    'CK.STPKI05P/Samples#samples',...
    'CK.STPKI06P/Samples#samples',...
    'CK.STPKI07P/Samples#samples',...
    'CK.STPSI03P/Samples#samples',...
    'CK.STPSI05P/Samples#samples',...
    'CK.STPSI06P/Samples#samples',...
    'CK.STPSI07P/Samples#samples',...
    'CK.STPSI03A/Samples#samples',...
    'CK.STPSI05A/Samples#samples',...
    'CK.STPSI06A/Samples#samples',...
    'CK.STPSI07A/Samples#samples',...
    'CK.STPPBEI2A/Samples#samples',...
    'CK.STPBEIA/Samples#samples',...
    'CK.STPEI0305A/Samples#samples',...
    'CK.STPEI0530A/Samples#samples',...
    'CK.STPEI0630A/Samples#samples',...
    'CK.STPEI0730A/Samples#samples',...
    'CK.STWFGMKS02/Samples#samples',...
    'CK.STWFGMKS03/Samples#samples',...
    'CK.STWFGMKS05/Samples#samples',...
    'CK.STWFGMKS06/Samples#samples',...
    'CK.STWFGMKS07/Samples#samples',...
    'CL.STBPR0290S/Samples#samples',...
    'CL.STBPR0475S/Samples#samples',...
    'CL.STBPR0290W/Samples#samples',...
    'CL.STBPR0475W/Samples#samples',...
    'CL.STBPE0125S/Samples#samples',...
    'CL.STBPE0166S/Samples#samples',...
    'CL.STBPM0402S/Samples#samples',...
    'CL.STBPM0502S/Samples#samples',...
    'CL.STBPM0590S/Samples#samples',...
    'CL.STBPM0690S/Samples#samples',...
    'CL.STBPM0790S/Samples#samples',...
    'CP.STBPM0115S/Samples#samples',...
    'CP.STBPM0240S/Samples#samples',...
    'CP.STBPM0280S/Samples#samples',...
    'CL.STBPM0402H/Samples#samples',...
    'CL.STBPM0502H/Samples#samples',...
    'CL.STBPM0590H/Samples#samples',...
    'CL.STBPM0690H/Samples#samples',...
    'CL.STBPM0790H/Samples#samples',...
    'CP.STBPM0115H/Samples#samples',...
    'CP.STBPM0240H/Samples#samples',...
    'CP.STBPM0280H/Samples#samples',...
    'CL.STBPM0402V/Samples#samples',...
    'CL.STBPM0502V/Samples#samples',...
    'CL.STBPM0590V/Samples#samples',...
    'CL.STBPM0690V/Samples#samples',...
    'CL.STBPM0790V/Samples#samples',...
    'CP.STBPM0115V/Samples#samples',...
    'CP.STBPM0240V/Samples#samples',...
    'CP.STBPM0280V/Samples#samples',...
    },'','comment');
a.verbose = true;
%%
% create object
a = matlabJapcMonitor('SCT.USER.ALL',... %PULL.1200@SCT.USER.SETUP %SCT.USER.SETUP
    {'CL.DVC0820/AQN#value'},...
    '','comment');
a.verbose = true;
a.saveData = true;
a.saveDataUseCycleStampAsName = true;
%%
a.start();
%%
a.stop()
%%
plot(matlabJapc.staticGetSignal('SCT.USER.SETUP','CK.SAWFGMKS02/Samples#samples')');

